Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1194931 - Review Request: nodejs-each-async - Async concurrent iterator (async forEach)
Summary: Review Request: nodejs-each-async - Async concurrent iterator (async forEach)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194926 1194927
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-20 23:29 UTC by Piotr Popieluch
Modified: 2015-07-03 18:45 UTC (History)
2 users (show)

Fixed In Version: nodejs-each-async-1.1.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 18:42:14 UTC
zsvetlik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-02-20 23:29:23 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-each-async.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-each-async-1.1.1-1.fc21.src.rpm
Description: Async concurrent iterator (async forEach)
Fedora Account System Username: piotrp

Comment 1 Piotr Popieluch 2015-03-08 13:46:50 UTC
updated Source0 to comply with github guidelines
Spec URL: https://piotrp.fedorapeople.org/nodejs-each-async.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-each-async-1.1.1-2.fc21.src.rpm

Comment 2 Zuzana Svetlikova 2015-06-07 22:39:56 UTC
There is missing BuildRequires on npm(set-immediate-shim) and npm(onetime) should be outside the conditional.
Is there a reason why the tests are turned off?

Comment 3 Piotr Popieluch 2015-06-13 19:59:48 UTC
- added set-immediate-shim to BR.
- all Requires: are handled automatically by nodejs-packaging so not needed to specify outside the conditional.
Tests are turned of due to circular dependencies. will enable tests as soon as all missing deps are in Fedora

Spec URL: https://piotrp.fedorapeople.org/nodejs-each-async.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-each-async-1.1.1-2.fc22.src.rpm

Comment 4 Zuzana Svetlikova 2015-06-15 13:18:41 UTC
I believe all the dependencies are in fedora stable repository, so you can turn  the tests on.

Comment 5 Piotr Popieluch 2015-06-15 18:22:26 UTC
You are correct, BR's are now included. tests succeed. Updates spec and srpm (without version bump, same url)

Comment 6 Zuzana Svetlikova 2015-06-16 11:23:40 UTC
Seems fine.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-each-async-1.1.1-2.fc22.noarch.rpm
          nodejs-each-async-1.1.1-2.fc22.src.rpm
nodejs-each-async.noarch: W: spelling-error Summary(en_US) forEach -> for Each, for-each, reach
nodejs-each-async.noarch: W: spelling-error %description -l en_US forEach -> for Each, for-each, reach
nodejs-each-async.noarch: W: only-non-binary-in-usr-lib
nodejs-each-async.noarch: W: dangling-symlink /usr/lib/node_modules/each-async/node_modules/onetime /usr/lib/node_modules/onetime
nodejs-each-async.noarch: W: dangling-symlink /usr/lib/node_modules/each-async/node_modules/set-immediate-shim /usr/lib/node_modules/set-immediate-shim
nodejs-each-async.src: W: spelling-error Summary(en_US) forEach -> for Each, for-each, reach
nodejs-each-async.src: W: spelling-error %description -l en_US forEach -> for Each, for-each, reach
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-each-async.noarch: W: spelling-error Summary(en_US) forEach -> for Each, for-each, reach
nodejs-each-async.noarch: W: spelling-error %description -l en_US forEach -> for Each, for-each, reach
nodejs-each-async.noarch: W: only-non-binary-in-usr-lib
nodejs-each-async.noarch: W: dangling-symlink /usr/lib/node_modules/each-async/node_modules/onetime /usr/lib/node_modules/onetime
nodejs-each-async.noarch: W: dangling-symlink /usr/lib/node_modules/each-async/node_modules/set-immediate-shim /usr/lib/node_modules/set-immediate-shim
1 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
nodejs-each-async (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(onetime)
    npm(set-immediate-shim)



Provides
--------
nodejs-each-async:
    nodejs-each-async
    npm(each-async)



Source checksums
----------------
https://github.com/sindresorhus/each-async/archive/65f7f663e0e1a323c11bd0e036a08f585ab34a9c/each-async-65f7f663e0e1a323c11bd0e036a08f585ab34a9c.tar.gz :
  CHECKSUM(SHA256) this package     : 97323445b091729789936265371aa98df1ea03ee9b7bf3410e1638a3ca9b6497
  CHECKSUM(SHA256) upstream package : 97323445b091729789936265371aa98df1ea03ee9b7bf3410e1638a3ca9b6497


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-22-x86_64 -b 1194931
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Piotr Popieluch 2015-06-16 18:41:32 UTC
New Package SCM Request
=======================
Package Name: nodejs-each-async
Short Description: Async concurrent iterator (async forEach)
Upstream URL: https://github.com/sindresorhus/each-async
Owners: piotrp
Branches: f21 f22 el6 epel7

Comment 8 Gwyn Ciesla 2015-06-16 19:52:33 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-06-16 20:40:00 UTC
nodejs-each-async-1.1.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-each-async-1.1.1-2.fc22

Comment 10 Zuzana Svetlikova 2015-06-18 09:04:39 UTC
Can you build this for f21 too?

Comment 11 Fedora Update System 2015-06-18 21:03:28 UTC
nodejs-each-async-1.1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-each-async-1.1.1-2.fc21

Comment 12 Fedora Update System 2015-06-21 00:29:45 UTC
nodejs-each-async-1.1.1-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2015-07-03 18:42:14 UTC
nodejs-each-async-1.1.1-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-07-03 18:45:39 UTC
nodejs-each-async-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.